Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class data_union.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<data_union,data_union.ByValue,data_union.ByReference>
                  com.nativelibs4java.mono.data_union
                      com.nativelibs4java.mono.data_union.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference

Enclosing class:
  data_union

    public static class data_union.ByReference

extends data_union
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.data_union
`data_union.ByReference, data_union.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.data_union
`array, generic_class, generic_param, klass, method, type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`data_union.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.data_union
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### data_union.ByReference

    public data_union.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD